---
title: opacity
slug: Web/SVG/Attribute/opacity
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>opacity</code></strong> attribute specifies the transparency of an object or of a group of objects, that is, the degree to which the background behind the element is overlaid.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>opacity</code> can be used as a CSS property. See the {{cssxref("opacity", "CSS opacity")}} property for more information.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following elements: {{SVGElement("a")}}, {{SVGElement("audio")}}, {{SVGElement("canvas")}}, {{SVGElement("circle")}}, {{SVGElement("ellipse")}}, {{SVGElement("foreignObject")}}, {{SVGElement("g")}}, {{SVGElement("iframe")}}, {{SVGElement("image")}}, {{SVGElement("line")}}, {{SVGElement("marker")}}, {{SVGElement("path")}}, {{SVGElement("polygon")}}, {{SVGElement("polyline")}}, {{SVGElement("rect")}}, {{SVGElement("svg")}}, {{SVGElement("switch")}}, {{SVGElement("symbol")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tspan")}}, {{SVGElement("use")}}, {{SVGElement("unknown")}}, and {{SVGElement("video")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[2,3]">&lt;svg viewBox="0 0 200 100" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;defs&gt;
    &lt;linearGradient id="gradient" x1="0%" y1="0%" x2="0" y2="100%"&gt;
      &lt;stop offset="0%" style="stop-color:skyblue;" /&gt;
      &lt;stop offset="100%" style="stop-color:seagreen;" /&gt;
    &lt;/linearGradient&gt;
  &lt;/defs&gt;
  &lt;rect x="0" y="0" width="100%" height="100%" fill="url(#gradient)" /&gt;
  &lt;circle cx="50" cy="50" r="40" fill="black" /&gt;
  &lt;circle cx="150" cy="50" r="40" fill="black" opacity="0.3" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "200", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Default value</th>
   <td><code>1</code></td>
  </tr>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;alpha-value&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;alpha-value&gt;</code></dt>
 <dd>The uniform opacity setting to be applied across an entire object, as a {{cssxref("number")}}. Any values outside the range 0.0 (fully transparent) to 1.0 (fully opaque) will be clamped to this range.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Colors", "#transparency", "opacity")}}</td>
   <td>{{Spec2("CSS4 Colors")}}</td>
   <td>Defines in more detail what this attribute applies to.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Colors", "#transparency", "opacity")}}</td>
   <td>{{Spec2("CSS3 Colors")}}</td>
   <td>Defines in more detail what this attribute applies to.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "render.html#ObjectAndGroupOpacityProperties", "opacity")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>References the specification in CSS Color 3 and notes that there are some related attributes.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "masking.html#OpacityProperty", "opacity")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.opacity")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("opacity", "CSS opacity")}}</li>
</ul>
